Bug 42291 - registering a second system under an existing username
Summary: registering a second system under an existing username
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhn_register   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-25 18:16 UTC by Tom "spot" Callaway
Modified: 2015-01-07 23:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 21:35:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom "spot" Callaway 2001-05-25 18:16:54 UTC
Description of problem:
rhn_register doesnt allow registration of new profile on pre-existant user
account

How reproducible:
Always

Steps to Reproduce:
1.rhn_register --nox
2.login with pre-existing username, password, email address
	

Actual Results:  rhn_register reports that the username already exists, as
an error, which is not the proper behavior, considering that we're trying
to register a new system profile under the username

Expected Results:  rhn_register should have continued register the new
system profile under the pre-existant username

Additional info:

Filed by Tom "spot" Callaway <tcallawa@redhat.com> on behalf of customer.
Customer is using latest errata versions of rhn_register/up2date for 6.2.

Comment 1 Adrian Likins 2001-07-06 04:00:07 UTC
I've seen a couple of reports of this but so far have been unable to
reproduce it. 

I've even tried using info from a customer that was working with to
test the system against our qa enviroment, and was able to register
with the username/password correctly. 

If anyone knows a reliable way (or heck, _any_ way) to reproduce this,
I can probabaly track it down.

Comment 2 Jay Turner 2001-07-06 04:03:22 UTC
Every case that I have seen of this has come down to the user was using a
password other than what they thought they were using.  Guess we can just sit on
this one for a little while and see if anything else pops up about it.


Note You need to log in before you can comment on or make changes to this bug.